/* Achteruit Lopen

   Laat de Simple Walker II achteruit lopen.

   Gemaakt: November 2016
   Door Simon Pauw, ZB45
   www.SimpleWalker.com
*/

/* Link de Servo-library.*/
#include <Servo.h>

/* Defnieer voorste servo */
#define VOOR_SERVO_NEUTRALE_STAND 90
#define VOOR_SERVO_PIN 9

/* Defnieer achterste servo */
#define ACHTER_SERVO_NEUTRALE_STAND 90
#define ACHTER_SERVO_PIN 8

/* Definieer de maximale uitslag van de servo's
   voor de loopbeweging. */
#define MAX_SERVOUITSLAG 25

/* Maak servo-objecten aan */
Servo voorServo, achterServo;

/* Setup: wordt uitgevoerd bij het opstarten van de Simple Walker. */
void setup() {
  // Initialiseer de servo's.
  voorServo.attach(VOOR_SERVO_PIN);
  achterServo.attach(ACHTER_SERVO_PIN);

  // Zet de servo's in de neutrale positie (in het midden).
  voorServo.write(VOOR_SERVO_NEUTRALE_STAND);
  achterServo.write(ACHTER_SERVO_NEUTRALE_STAND);

  delay(1000);
}

/* Loop: wordt herhaald tot de Simple Walker uit wordt gezet. */
void loop() {

  // Voor looppatroon uit.

  // Stap 1:       /-\:
  voorServo.write(VOOR_SERVO_NEUTRALE_STAND - MAX_SERVOUITSLAG);
  delay(100);

  // Stap 2:     \-\:
  achterServo.write( ACHTER_SERVO_NEUTRALE_STAND  - MAX_SERVOUITSLAG);
  delay(100);
  
  // Stap 3:   \-/:
  voorServo.write(VOOR_SERVO_NEUTRALE_STAND + MAX_SERVOUITSLAG);
  delay(100);
  
  // Stap 4: /-/:
  achterServo.write( ACHTER_SERVO_NEUTRALE_STAND  + MAX_SERVOUITSLAG);
  delay(100);

}

